<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Mfu Library Q&A</title>

  <link rel="stylesheet" href="admin-edit-admin.component.scss">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

</head>
</html>
<body>

  <header>
    <nav>
      <div class="container">
        <div class="nav-grid">
        <div class="logo">
          <img alt="MFU LIBRARY LOGO" src="/assets/picproject/Logo.png">
        </div>
        <div class="fr">
          <ul class="menu">
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/home']">Q&A Home</a></li>
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/home']">Admin Home</a></li>
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/webboard']">Webboard</a></li>
            <li><i class="fa fa-users"></i><a [routerLink]="['/admin/user']">Admin list</a></li>
            <li><i class="fas fa-sign-out-alt"></i><a (click)="logout()">Logout</a></li>
          </ul>
        </div>
        </div>
      </div>
    </nav>
  </header>

  <section class="content">
    <form [formGroup]="adminForm" (ngSubmit)="onFormSubmit()">
      <div class="container">
        <div class="content-heading">
          <h1>Edit Admin</h1>
        </div>

        <div class="content-services">
          <div class="content-services-item">

            <div class="content-services-grid">
              <div class="content-services-username">
                <p>Username : 
                <label for="username" *ngIf="!adminForm.get('username').valid && adminForm.get('username').touched"></label>
                <input formControlName="username" placeholder="username"></p>
              </div>
  
              <div class="content-services-fullname">
                <p>Fullname : 
                <label for="fullname" *ngIf="!adminForm.get('fullname').valid && adminForm.get('fullname').touched"></label>
                <input formControlName="fullname" placeholder="Fullname"></p>
              </div>
  
              <div class="content-services-password">
                <p>Password : 
                <label for="password" *ngIf="!adminForm.get('password').valid && adminForm.get('password').touched"></label>
                <input formControlName="password" placeholder="Password"></p>
              </div>
  
              <div class="content-services-email">
                <p>Email Address : 
                <label for="email" *ngIf="!adminForm.get('email').valid && adminForm.get('email').touched"></label>
                <input formControlName="email" placeholder="Email"></p>
              </div>
  
              <div class="content-services-googleId">
                <p>Google ID : 
                <label for="google_id" *ngIf="!adminForm.get('google_id').valid && adminForm.get('google_id').touched"></label>
                <input formControlName="google_id" placeholder="Google ID"></p>
              </div>
  
              <div class="content-services-thumbnail">
                <p>Thumbnail : 
                <label for="thumbnail" *ngIf="!adminForm.get('thumbnail').valid && adminForm.get('thumbnail').touched"></label>
                <input formControlName="thumbnail" placeholder="Thumbnail"></p>
              </div>
            </div>

            <div class="content-services-button">
              <button type="submit" class="submitButton" [disabled]="!adminForm.valid">Submit</button>
              <button type="button" class="cancelButton" [routerLink]="['/admin/user']">Cancel</button>
            </div>

          </div>
        </div>
      </div>
    </form>
  </section>

</body>
<!-- <!DOCTYPE html>
<html>
  <header>
    <div class="row">
    <div class="toolbar" role="banner">
      <img width="auto" alt="MFU Logo" src="/assets/picproject/Logo.png"/>
      <nav>
      <ul>
        <li><a [routerLink]="['/user']">Q&A</a></li>
        <li><a [routerLink]="['/admin/home']">Question</a></li>
        <li><a [routerLink]="['/admin/user']">User</a></li>
        <li><a (click)="logout()">Logout</a></li>
      </ul> 
    </nav>
    </div>
  </div>
    </header>
  <body>
  <form [formGroup]="adminForm" (ngSubmit)="onFormSubmit()">
    <div class="card">
        <div class="card-body">
          <div class="row">
            <div class="jumbotron jumbotron-fluid"  id="Header-Box">
          <div class="container">
            <h1 class="display-4" id="Header-Text">Edit User</h1>
        </div>
        </div>  
          </div>
          <div class="form-group">
            <p>Username:</p>
            <label for="username" *ngIf="!adminForm.get('username').valid && adminForm.get('username').touched"></label>
            <input class="form-control" formControlName="username" id="username" placeholder="username">
          </div>
          <div class="form-group">
            <p>Fullname:</p>
            <label for="fullname" *ngIf="!adminForm.get('fullname').valid && adminForm.get('fullname').touched"></label>
            <input class="form-control" formControlName="fullname" id="fullname" placeholder="fullname">
          </div>
          <div class="form-group">
            <p>Password:</p>
            <label for="password" *ngIf="!adminForm.get('password').valid && adminForm.get('password').touched"></label>
            <input class="form-control" formControlName="password" id="password" placeholder="password">
          </div>
          <div class="form-group">
            <p>Email:</p>
            <label for="email" *ngIf="!adminForm.get('email').valid && adminForm.get('email').touched"></label>
            <input class="form-control" formControlName="email" id="email" placeholder="email">
          </div>
          <div class="form-group">
            <p>Google Id:</p>
            <label for="google_id" *ngIf="!adminForm.get('google_id').valid && adminForm.get('google_id').touched"></label>
            <input class="form-control" formControlName="google_id" id="google_id" placeholder="google_id">
          </div>
          <div class="form-group">
            <p>Thumbnail:</p>
            <label for="thumbnail" *ngIf="!adminForm.get('thumbnail').valid && adminForm.get('thumbnail').touched"></label>
            <input class="form-control" formControlName="thumbnail" id="thumbnail" placeholder="thumbnail">
          </div>

        <div class="row">
          <div class="col-sm-2">
          <button type="submit" class="btn btn-primary" [disabled]="!adminForm.valid">Submit</button>
        </div>
        <div class="col-sm-1">
          <button type="button" class="btn btn-secondary"  [routerLink]="['/admin/user']">Cancel</button>
        </div>
        </div>
        </div>
      </div>
  
</form>
</body>
</html> -->

  
  
  
  
  
  
  
  
  
  
  
  
  
       
  
  
  